Publish a Facebook campaign and push it live to Facebook

http
POST https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/{campaignId}/publish

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
campaignIdstringYes120208142050850608Campaign identifier

Body

NameTypeRequiredExampleDescription
locationIdstringYesloc_abc123Account identifier

Responses

201 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/publish' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "loc_abc123"
}'

Last updated October 26, 2026

Was this page helpful?